summaryrefslogtreecommitdiff
path: root/tests/mkdir/special-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mkdir/special-1')
-rwxr-xr-xtests/mkdir/special-158
1 files changed, 58 insertions, 0 deletions
diff --git a/tests/mkdir/special-1 b/tests/mkdir/special-1
new file mode 100755
index 0000000..a5b6504
--- /dev/null
+++ b/tests/mkdir/special-1
@@ -0,0 +1,58 @@
+#!/bin/sh
+# verify that mkdir honors special bits in MODE
+
+# Copyright (C) 2000, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mkdir --version
+fi
+
+tmp=mkdir-sp-$$
+trap 'status=$?; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+set_mode_string=u=rwx,g=rx,o=w,-s,+t
+output_mode_string=drwxr-x-wT
+
+mkdir -m$set_mode_string $tmp || fail=1
+
+test -d $tmp || fail=1
+set -- `ls -ld $tmp`
+case "$1" in
+ $output_mode_string) ;;
+ *) fail=1 ;;
+esac
+
+rmdir $tmp || fail=1
+tmp2=$tmp/sub
+
+# This should fail.
+mkdir -m$set_mode_string $tmp2 2> /dev/null && fail=1
+
+# Now test the --parents option.
+mkdir --parents -m$set_mode_string $tmp2 || fail=1
+
+test -d $tmp2 || fail=1
+set -- `ls -ld $tmp2`
+case "$1" in
+ $output_mode_string) ;;
+ *) fail=1 ;;
+esac
+
+exit $fail